# https://taskfile.dev

version: '3'


tasks:

  format:
    cmds:
      - swift-format format --configuration .swift-format --in-place --recursive Package.swift Sources Tests

  lint:
    cmds:
      - swift-format lint --configuration .swift-format --recursive Package.swift Sources Tests

  review:
    cmds:
      - task: format
      - task: lint

  test:
    cmds:
      - swift test --enable-code-coverage --filter='Puzzle0501Tests'

  pipeline:
    cmds:
      - task: review
      - task: test